%define epoch	1

Summary:	The skeleton package which defines a simple Mageia Linux system
Name:		basesystem
Epoch:		%{epoch}
Version:	6
Release:	%mkrel 0.4
License:	GPL
Group:		System/Base
Requires:	kernel basesystem-minimal
Recommends:	urpmi
Requires:	systemd
%ifnarch %arm %mips
Requires:	bootloader
%endif

%package minimal
Summary:	The skeleton package which defines a simple Mageia Linux system for chroot systems
Group:		System/Base

Requires:	setup filesystem sed initscripts kbd utempter
Requires:	chkconfig coreutils crontabs makedev
Requires:	e2fsprogs etcskel findutils grep gzip less
Requires:	logrotate passwd procps
Requires:	net-tools
Requires:	hostname
Requires:	psmisc rootfiles rpm sash shadow-utils
Requires:	stat tar termcap time util-linux vim
# (tmb) give dnf a clue
Recommends:	vim-minimal
Requires:	cronie which perl-base common-licenses
Requires:	kmod
Requires:	mageia-release >= 1
Conflicts:	setup <= 2.7.20-4.mga3

# (gb) Add timezone database here for now before moving it to DrakX
Requires:	timezone

%package uml
Summary:	The skeleton package which defines a simple Mageia Linux system to be run under UML/containers
Group:		System/Base
Requires:	basesystem-minimal
Requires:	systemd
Requires:	dhcp-client
Requires:	urpmi

%description
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description minimal
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description uml
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

This package can be used to setup a full and working system runned with
containers or kernel-uml, using urpmi %{name}-uml  --root ...

%files
%files minimal
%files uml



%changelog
* Mon May 30 2016 tv <tv> 1:6-0.4.mga6
+ Revision: 1019508
- restore urpmi requires for container's basesystem + enhance descr

* Mon May 30 2016 ngompa <ngompa> 1:6-0.3.mga6
+ Revision: 1019487
- Downgrade urpmi requirement to recommendation in basesystem-uml to match basesystem

* Wed Mar 16 2016 tmb <tmb> 1:6-0.2.mga6
+ Revision: 992070
- restore old behaviour of installing vim on basesytem-minimal
- hit dnf with a clue stick so it knows what to do with vim

  + tv <tv>
    - bump version

* Mon Mar 14 2016 luigiwalser <luigiwalser> 1:2-24.mga6
+ Revision: 990708
- basesystem-minimal should only require vim-minimal (not rely on prefer.vendor.list)

* Wed Feb 10 2016 umeabot <umeabot> 1:2-23.mga6
+ Revision: 953247
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 1:2-22.mga6
+ Revision: 867407
- rebuild for mga6

* Wed Jan 14 2015 luigiwalser <luigiwalser> 1:2-21.mga5
+ Revision: 810712
- remove requires on mingetty, not needed since mga1 (we use agetty in util-linux)

* Wed Oct 15 2014 umeabot <umeabot> 1:2-20.mga5
+ Revision: 741380
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2-19.mga5
+ Revision: 678116
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Sep 08 2014 spuhler <spuhler> 1:2-18.mga5
+ Revision: 673821
- added the Requires: net-tools back, we neeed it
- changed Requires: net-tools to Requires: hostname
  * we have moved the commands from net-tools to hostname
    - in sync with Fedora and others

* Sat Nov 30 2013 tv <tv> 1:2-17.mga4
+ Revision: 554158
- requires instead of suggesting vim-minimal (mga#7019)

* Sat Oct 19 2013 umeabot <umeabot> 1:2-16.mga4
+ Revision: 523437
- Mageia 4 Mass Rebuild

* Mon Apr 22 2013 tv <tv> 1:2-15.mga3
+ Revision: 410771
- drop old shadow conversion in %%post as setup now package /etc/{g,}shadow

* Tue Apr 02 2013 dmorgan <dmorgan> 1:2-14.mga3
+ Revision: 407115
- Rebuild against fixed BS
- Move %%posttrans in minimal subpackage
- Rebuild with fixed BS

  + tv <tv>
    - move /etc/*shadow creation from setup here (mga#9326)

* Tue Mar 26 2013 colin <colin> 1:2-11.mga3
+ Revision: 405409
- Require system-logger rather than syslog-daemon mga#8028

* Fri Jan 11 2013 umeabot <umeabot> 1:2-10.mga3
+ Revision: 346871
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 02 2012 tv <tv> 1:2-9.mga3
+ Revision: 287220
- mount&loseteup requires are dup

* Tue Jun 12 2012 tv <tv> 1:2-8.mga3
+ Revision: 259958
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 1:2-7.mga3
+ Revision: 259280
- require kmod instead of module-init-tools

* Wed Jan 25 2012 tv <tv> 1:2-6.mga2
+ Revision: 200809
- suggest urpmi

* Mon Jan 16 2012 tmb <tmb> 1:2-5.mga2
+ Revision: 196772
- restore requires on systemd as it's needed for proper upgrade

* Sun Jan 15 2012 tmb <tmb> 1:2-4.mga2
+ Revision: 196536
- drop forced systemd as sysvinit/initscripts will be supported in Mageia 2
- drop buildroot

* Sat Sep 17 2011 tv <tv> 1:2-3.mga2
+ Revision: 144415
- suggests vim instead of requiring it

* Sat Sep 17 2011 tv <tv> 1:2-2.mga2
+ Revision: 144386
- still require base systemd

* Wed Sep 14 2011 tv <tv> 1:2-1.mga2
+ Revision: 143461
- bump version
- requires sysvinit instead of systemd-sysvinit so that we got choice through
  kernel command line

* Tue Sep 13 2011 tv <tv> 1:1-4.mga2
+ Revision: 143068
- require systemd-sysvinit instead of sysvinit in order to got more testing
- move syslog-daemon & sysvinit requires from basesystem-minimal into
  basesystem & basesystem-uml (uneeded for building packages & the like)

* Tue Apr 12 2011 dmorgan <dmorgan> 1:1-3.mga1
+ Revision: 83504
- Fix Requires on cronie

  + rtp <rtp>
    - disable for now bootloader require on arm/mips

* Mon Jan 17 2011 pterjan <pterjan> 1:1-2.mga1
+ Revision: 21169
- Set Epoch tag
- Revert, Epoch 1 is enough already, but bs ignore it
- Increase Epoch to be higher than Mandriva version

  + blino <blino>
    - require makedev instead of dev

  + tmb <tmb>
    - imported package basesystem

